Error en el gestor de paquetes

8 envíos / 0 nuevos
Último envío
#1 Sáb, 17/06/2017 - 14:05
pazesperanza
Imagen de pazesperanza
Desconectado/a
se unió: 17/06/17

Error en el gestor de paquetes

Hola hace un tiempo intenté instalar popcorn time en mi notebook, y no funcionó luego me rendí, ahora intentaba instalar otro programa y veo que no puedo abrir el gestor de paquetes porque me sale el siguiente error

E: Tipo «“deb» desconocido en la línea 1 de la lista de fuentes /etc/apt/sources.list.d/webupd8team-popcorntime.list
E: No se pudo leer la lista de fuentes.
Vaya al diálogo del repositorio para corregir el problema.
E: _cache->open() failed, please report.

He buscado soluciones en foros pero ninguna a servido. Agradeceré mucho si alguien sabe qué hacer c:

Sáb, 17/06/2017 - 14:29
caliban
Imagen de caliban
Desconectado/a
moderador
se unió: 14/01/16
/etc/apt/sources.list.d/#webupd8team-popcorntime.list

Comenta la linea 1 ,actualiza, intenta instalar 

Sáb, 17/06/2017 - 15:24 (Responder a #2)
pazesperanza
Imagen de pazesperanza
Desconectado/a
se unió: 17/06/17

copio eso en la terminal y me dice que no existe el fichero o directorio

Paz 

Sáb, 17/06/2017 - 15:50
Panko
Imagen de Panko
Desconectado/a
moderador
se unió: 18/02/16

Imagino que para intentar instalar ese software añadiste el archivo /etc/apt/sources.list.d/webupd8team-popcorntime.list y su contenido no tiene la sintaxis correcta y por eso te da el error. Si no te hace falta para nada eso, puedes eliminar dicho archivo y entonces podrás actualizar/instalar sin problemas.

 

Si por casualidad quisieras tener/instalar ese software en tu sistema (de eso no me fiaría yo ni apuntándome con una pistola, la verdad), tendrás que editar ese archivo y corregir la linea incorrecta, que es precisamente la 1ª de dicho archivo.

Tampoco dices de donde sacaste la información de lo que hiciste, pero estoy seguro que el problema está en ese archivo.

  No hay bar que por bien no venga....
Sáb, 17/06/2017 - 15:55
caliban
Imagen de caliban
Desconectado/a
moderador
se unió: 14/01/16

veamos , el directorio no existe por que si prestas atencion delante de el ultimo archivo hay un '# ' ,

El punto es que el aviso te indica  que algo esta mal en el directorio de repositorios , y te indica una ruta  que es donde busca y encuentra el problema , como vos el repositorio de popcorn que figura no lo necesitas ,eliminalo  con el simple metodo de poner el simbolo # delante de cada entrada ,entonces apt  ignorara eso ( como si no existiera escrito)

Edito:Panko rayo veloz se me adelanto y te lo ha explicado mejor que yo.

 

Sáb, 17/06/2017 - 16:28 (Responder a #5)
pazesperanza
Imagen de pazesperanza
Desconectado/a
se unió: 17/06/17

Soy muy lenta con esto y no entendí bien como elimino el "programa mal intalado" desde la terminal

Paz 

Sáb, 17/06/2017 - 17:15
caliban
Imagen de caliban
Desconectado/a
moderador
se unió: 14/01/16

Bien veamos ,lo que esta causandote el problema ,aparentemente , es algo que esta contenido en 

Basicamente en 

webupd8team-popcorntime.list 

Como dicho archivo y su contenido no te hace falta y es el que causa el error , podes eliminarlo para ello Y como root 

rm -r  archivo 

Entonces los pasos a seguir, dede un terminal o emulador de terminal 

su   # te pedira el pass de administrador 
     # luego vas hasta el directorio que contiene el archivo 
cd /etc/apt/sources.list.d
     # podes comprobar el contenido de dicho directorio 
ls  
    #finalmente comprobado que dicho archivo existe lo borras 
rm -r webupd8team-popcorntime.list

Podrias bien directamente borrar  poniendo la ruta completa ,lo que te puse es para que vayas con cuidado y veas bien lo que vas a borrar ,pues vas a operar como  administrador, ( root) .

Luego de eso , haces un 

aptitude update 
aptitude install  loquesea

Asegurate de que vas a borrar el archivo correcto, si no sabes como se usa el comando 'rm',busca algo de información en internet .

Edito:

  Complemento, para que tengas una idea basica de lo que ocurre ,

apt, aptitude, apt-get , para poder instalar algo tiene que recurrir a un repositorio, para ello existe un archivo en tu sistema que le indica un listado de repositorios /etc/apt/source.list,  

Si cuando intentas instalar algo mediante estas aplicaciones , buscan dicho listado ,y las directivas correspondientes ,si encuentran un error te daran un mensaje de error .

Luego al hacer un 

aptitude update ( apt update,, apt-get update ) cualquiera de las tres,  lo que se ejecuta es una recorrida por las fuentes ( sources ) en internet y se actualiza un listado de paquetes disponibles ( solo se mantiene un listado de lo que  existe y donde esta ) 

https://exdebian.org/wiki/introducci%C3%B3n-los-repositorios-de-debian

Sáb, 17/06/2017 - 17:41 (Responder a #7)
pazesperanza
Imagen de pazesperanza
Desconectado/a
se unió: 17/06/17

muchísimas gracias, de verdad ^^ !!!! hice lo que me escribiste y funcionó.

 

 

Gracias a todos por la ayuda <3

Paz